use std::fs;

pub fn solve() {
    let path = "res/06/example";

    let contents = fs::read_to_string(path).expect("Something went wrong reading the file");

    let map: Vec<Vec<bool>> = contents
        .lines()
        .map(|line| {
            line.chars()
                .map(|c| match c {
                    '#' => true,
                    _ => false,
                })
                .collect::<Vec<bool>>()
        })
        .collect();

    let mut pos: (usize, usize) = contents
        .lines()
        .enumerate()
        .find(|(_, line)| line.contains("^"))
        .map(|(x, line)| (x, line.chars().position(|c| c == '^').unwrap()))
        .unwrap();

    let mut dir: (isize, isize) = (-1, 0);

    let mut guard_positions: Vec<(usize, usize)> = vec![];

    // let the guard move until he leaves the map

    let result: usize = 0;

    println!("Result 1: {}", result);

    println!("Result 2: {}", result);
}
